pam_turnstile(8)

NAME

pam_turnstile - register user sessions in turnstiled(8)

SYNOPSIS

pam_turnstile.so

DESCRIPTION

pam_turnstile registers user sessions with the main daemon, which allows them to be tracked.

It communicates with the daemon over its control socket. Upon login, it opens a connection to it, and this connection lasts for as long as the login lasts.

By keeping track of the connections, the daemon can be aware of the full lifetime of the session.

The login will only proceed in one of the following cases:

•   The daemon has replied with a success.
•   The daemon has replied with a failure.
•   The connection was closed.

Upon success, the daemon will have already started all user services. If that is the case, it may also initialize some environment variables:

1.  $DBUS_SESSION_BUS_ADDRESS is exported assuming 'RUNDIR/bus' exists and is a valid socket, where 'RUNDIR' is the runtime directory the daemon is potentially managing. The value of the environment variable becomes unix:path=/path/to/bus.
2.  $XDG_RUNTIME_DIR is exported if the daemon's manage_rundir is enabled in the configuration.

Upon success, the module returns PAM_SUCCESS. In any other case, the module returns PAM_SESSION_ERR.

OPTIONS

The module takes no options.